Bug 242528 - kernel build fails
Summary: kernel build fails
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Kernel Maintainer List
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-04 18:01 UTC by Olaf
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 14:04:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olaf 2007-06-04 18:01:45 UTC
Description of problem:
cannot build custom kernel from kernel-devel-2.6.9-55.EL:

*** End of Linux kernel configuration.
*** Execute 'make' to build the kernel or try 'make help'.

[root@r2d2-new 2.6.9-55.EL-x86_64]# make bzImage modules
  CHK     include/linux/version.h
  UPD     include/linux/version.h
  SPLIT   include/linux/autoconf.h -> include/config/*
  CHK     include/asm-x86_64/offset.h
  HOSTCC  scripts/genksyms/genksyms.o
  HOSTCC  scripts/genksyms/lex.o
  HOSTCC  scripts/genksyms/parse.o
  HOSTLD  scripts/genksyms/genksyms
  CC      scripts/mod/empty.o
  MKELF   scripts/mod/elfconfig.h
  HOSTCC  scripts/mod/file2alias.o
  HOSTCC  scripts/mod/modpost.o
  HOSTCC  scripts/mod/sumversion.o
  HOSTLD  scripts/mod/modpost
make[1]: *** No rule to make target `init/main.o', needed by `init/built-in.o'.
 Stop.
make: *** [init] Error 2

Comment 1 Prarit Bhargava 2007-06-12 14:04:51 UTC
[root@r2d2-new 2.6.9-55.EL-x86_64] ?

To extract a _proper_ source tree from an RPM do:

rpmbuild -bp source.rpm

Then build the resultant directory in /usr/src/redhat/BUILD/....




Note You need to log in before you can comment on or make changes to this bug.